package TestBean;

import java.nio.file.spi.FileSystemProvider;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.ejb.LocalBean;
import javax.ejb.Singleton;
import javax.ejb.Startup;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Session Bean implementation class TestBeanClass
 */
@Singleton
@LocalBean
@Startup
public class TestBeanClass {
    static Logger log = LoggerFactory.getLogger(TestBeanClass.class);
    /**
     * Default constructor.
     */
    public TestBeanClass() {
        log.warn("construct Test Bean!");
    }

    @PostConstruct
    public void startup() {

        log.warn("startup Test Bean!");
        for (FileSystemProvider provider: FileSystemProvider.installedProviders()) {
            log.warn("installedProviders(): found filesystem provider: {} for scheme {}", provider.getClass().toString(), provider.getScheme());
        }
    }

    @PreDestroy
    public void shutdown() {

    }
}
